function performHighlight(node, word, color) {
	if (node.hasChildNodes) {
		var hi_cn;
		for (hi_cn = 0; hi_cn < node.childNodes.length; hi_cn ++) {
			performHighlight(node.childNodes[hi_cn], word, color);
		}
	}
	if (node.nodeType == 3) {
		tempNodeVal = node.nodeValue.toLowerCase();
		tempWordVal = word.toLowerCase();
		if (tempNodeVal.indexOf(tempWordVal) != -1) {
			pn = node.parentNode;
			if (pn.className != "searchword") {
				nv = node.nodeValue;
				ni = tempNodeVal.indexOf(tempWordVal);
				before = document.createTextNode(nv.substr(0, ni));
				docWordVal = nv.substr(ni, word.length);
				after = document.createTextNode(nv.substr(ni + word.length));
				hiwordtext = document.createTextNode(docWordVal);
				hiword = document.createElement("span");
				hiword.style["background"] = color;
				hiword.className = 'searchword';
				hiword.appendChild(hiwordtext);
				pn.insertBefore(before, node);
				pn.insertBefore(hiword, node);
				pn.insertBefore(after, node);
				pn.removeChild(node);
			}
		}
	}
}

function highlightTerm(term, color) {
	highlightWord(document.getElementsByTagName("body")[0], term, color); 
}